package com.hfkj.service;

import com.hfkj.entity.BsMerContractRecord;

import java.util.List;
import java.util.Map;

/**
 * 商户进件记录
 * @author hurui
 */
public interface BsMerContractRecordService {

    /**
     * 增加记录
     * @param record
     */
    void insertRecord(BsMerContractRecord record);

    /**
     * 修改记录
     * @param record
     */
    void updateRecord(BsMerContractRecord record);

    /**
     * 根据订单号 查询记录
     * @param orderNo
     * @return
     */
    BsMerContractRecord getRecordByOrderNo(String orderNo);

    /**
     * 根据订单号 查询记录
     * @param contractId
     * @return
     */
    BsMerContractRecord getRecordByContractId(String contractId);

    /**
     * 查询进件记录
     * @param param
     * @return
     */
    List<BsMerContractRecord> getContractRecordList(Map<String, Object> param);
}
